package cnrg.itx.ds;

/**
 * This class is used to hold customLocationID-customLocation pair retrieved from the directory server.
 */
public class CustomLocationRecord
{
	private String m_ID;
	private CustomLocation m_customLoc;
	
	/**
	 * Constructor for ID and customLocation
	 * @param id a String to represent a custom location ID
	 * @param customLoc CustomLocation object
	 */
	public CustomLocationRecord(String id, CustomLocation customLoc){
		m_ID = id;
		m_customLoc = customLoc;
	}
	
	/**
	 * Gets the ID of the custom location
	 * @return String represents the ID
	 */
	public String getID(){
		return m_ID;
	}
	
	/**
	 * Gets the custom location
	 * @return CustomLocation object
	 */	
	public CustomLocation getCustomLocation(){
		return m_customLoc;
	}
}
